Beta

List a Room's goals

Last updated Nov 19, 2026View as MarkdownAgent setup / MCP
GET
/v1/rooms/{room_id}/goals

A Room's goals you can see (active unless status says otherwise), each with progress: its tasks in this Room you can see, and how many are done.

Authorization

headerAuthorizationBearer <token>

A signed-in SMB user's access token. Workspace-scoped operations also require SMB-Workspace-Id.

Path Parameters

room_id*string
Match^rom_[0-7][0-9A-HJKMNP-TV-Z]{25}$

Query Parameters

status?string
Value in"active""completed""canceled"

Header Parameters

SMB-Workspace-Id*string

Workspace where this operation runs. Required for user tokens and Workspace API keys.

Formatuuid

Response Body

Successful authorized response.

application/json
  1. response
goals*array<>
request_id*string
curl -X GET 'https://example.com/v1/rooms/string/goals' \  -H 'SMB-Workspace-Id: 497f6eca-6276-4993-bfeb-53cbbbba6f08'
{  "goals": [    {      "goal_id": "string",      "room_id": "string",      "title": "string",      "status": "active",      "due_on": "string",      "progress": {        "done": -9007199254740991,        "total": -9007199254740991      },      "revision": -9007199254740991    }  ],  "request_id": "string"}